<?php
/*
Ultimate GDPR - WP Super Cache integration
Desc: Allow WP Super Cache to save custom cookies
Version: 1.0.1
*/
/*
 * @TODO
 * Add input to change cookie name and update <code>.htaccess</code> automatically.
 */

/*
This is plugin for WP Super Cache plugin
Installation instruction:
1. This file must be in `wp-content/plugins/wp-super-cache-plugins` folder (depend on your choice at 1A step of this instruction)
To make it work, do the following:
A. Open `wp-content/wp-cache-config.php` and change `$wp_cache_plugins_dir` to this:
  `$wp_cache_plugins_dir = WP_CONTENT_DIR . "/plugins/wp-super-cache-plugins/";`
  In result, on Plugins page of WP Super Cache settings (/wp-admin/options-general.php?page=wpsupercache&tab=plugins) you will have only one plugin: this plugin, called `Ultimate GDPR - WP Super Cache integration`

2. To activate the plugin - follow the instruction on the page (/wp-admin/options-general.php?page=wpsupercache&tab=plugins)
*/


function ct_cache_my_page_with_set_cookie_action($string) {
	return ct_cache_my_page_with_set_cookie($string, 'ct-ultimate-gdpr-cookie');
}
add_cacheaction('wp_cache_get_cookies_values', 'ct_cache_my_page_with_set_cookie_action');
function ct_cache_my_page_with_set_cookie($string, $cookie_name) {
	if (isset($_COOKIE[$cookie_name])) {
		$string = $cookie_name . $_COOKIE[$cookie_name];
	}
	return $string;
}
add_cacheaction('cache_admin_page', 'ct_cache_my_page_with_set_cookie_admin_page');
function ct_cache_my_page_with_set_cookie_admin_page() {
	?>
	<h4>Ultimate GDPR - WP Super Cache integration<br>
  <small>Allow WP Super Cache to save custom cookie</small>
  </h4>
  <p>
    <strong>Activation instruction:</strong><br>
    1. Use `mod_rewrite` way to cache your pages (WordPress Dashboard -> Advanced -> Cache Delivery Method -> Use Expert )<br>
    2. Open `.htaccess` file and add cookie name (ct-ultimate-gdpr-cookie) in the end of each string that looks like this:<br>
      `RewriteCond %{HTTP:Cookie} !^.*(comment_author_|wordpress_logged_in|wp-postpass_).*$`<br>
      So you will have this:<br>
      `RewriteCond %{HTTP:Cookie} !^.*(comment_author_|wordpress_logged_in|wp-postpass_|ct-ultimate-gdpr-cookie).*$`<br>
    3. That's it! Now Ultimate GDPR plugin will save user choice after clicking "Save and Close".
  </p>
	<?php
}